Loading...
Searching...
No Matches
archive_listing_callback.hpp File Reference
API

definition of the user defined callback function used for archive listing More...

`#include "list_entry.hpp"`
`#include "../my_config.h"`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::archive_listing_callback = void(*)(const std::string &the_path, const list_entry &entry, void *context)
| callback function type expected for archive::op_listing and archive::get_children_of()

## Detailed Description

definition of the user defined callback function used for archive listing

Definition in file archive_listing_callback.hpp.